Package org.codehaus.groovy.runtime.callsite

# Class ConstructorSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.ConstructorSite

All Implemented Interfaces:
  `CallSite`

Direct Known Subclasses:
  `ConstructorSite.ConstructorSiteNoUnwrap`, `ConstructorSite.ConstructorSiteNoUnwrapNoCoerce`

public class ConstructorSite extends MetaClassSite

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConstructorSite.ConstructorSiteNoUnwrap`
Call site where we know there is no need to unwrap arguments
`static class`
`ConstructorSite.ConstructorSiteNoUnwrapNoCoerce`
Call site where we know there is no need neither unwrap nor coerce arguments
`static class`
`ConstructorSite.NoParamSite`
`static class`
`ConstructorSite.NoParamSiteInnerClass`

## Field Summary

### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

`metaClass`

### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`array, index, name`

## Constructor Summary

Constructors
Constructor
Description
`ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)`

## Method Summary

Modifier and Type
Method
Description
`Object`
`callConstructor(Object receiver, Object[] args)`
`protected final boolean`
`checkCall(Object receiver, Object[] args)`
`static ConstructorSite`
`createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params, Object[] args)`

### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

`acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConstructorSite

public ConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params)

## Method Details

### callConstructor

public Object callConstructor(Object receiver, Object[] args) throws Throwable

Specified by:
  `callConstructor` in interface `CallSite`
Overrides:
  `callConstructor` in class `AbstractCallSite`
Throws:
  `Throwable`

### checkCall

protected final boolean checkCall(Object receiver, Object[] args)

### createConstructorSite

public static ConstructorSite createConstructorSite(CallSite site, MetaClassImpl metaClass, CachedConstructor constructor, Class[] params, Object[] args)